UndeployMessage (Apache Tomcat 11.0.25 API Documentation)
Description: declaration: package: org.apache.catalina.ha.deploy, class: UndeployMessage

# Class UndeployMessage

java.lang.Object
org.apache.catalina.ha.deploy.UndeployMessage

All Implemented Interfaces:
  `Serializable, ClusterMessage`

public class UndeployMessage extends Object implements ClusterMessage
Cluster message that indicates an application has been undeployed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UndeployMessage(Member address, long timestamp, String uniqueId, String contextName)`
  Creates a new UndeployMessage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Member`
  `getAddress()`
  Returns the member associated with this message.
  `String`
  `getContextName()`
  Returns the name of the context being undeployed.
  `long`
  `getTimestamp()`
  Returns the timestamp of this message.
  `String`
  `getUniqueId()`
  Returns the unique identifier for this message.
  `void`
  `setAddress(Member address)`
  Set the member associated with the message.
  `void`
  `setTimestamp(long timestamp)`
  Set the timestamp for this message.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UndeployMessage

    public UndeployMessage(Member address, long timestamp, String uniqueId, String contextName)
    Creates a new UndeployMessage.
    Parameters:
      `address` - the sender address
      `timestamp` - the message timestamp
      `uniqueId` - the unique message identifier
      `contextName` - the context being undeployed

- ## Method Details

  - ### getAddress

    public Member getAddress()
    Description copied from interface: `ClusterMessage`
    Returns the member associated with this message.
    Specified by:
      `getAddress` in interface `ClusterMessage`
    Returns:
      the member address

  - ### setAddress

    public void setAddress(Member address)
    Description copied from interface: `ClusterMessage`
    Set the member associated with the message.
    Specified by:
      `setAddress` in interface `ClusterMessage`
    Parameters:
      `address` - the member

  - ### getTimestamp

    public long getTimestamp()
    Description copied from interface: `ClusterMessage`
    Returns the timestamp of this message.
    Specified by:
      `getTimestamp` in interface `ClusterMessage`
    Returns:
      the timestamp in milliseconds

  - ### setTimestamp

    public void setTimestamp(long timestamp)
    Description copied from interface: `ClusterMessage`
    Set the timestamp for this message.
    Specified by:
      `setTimestamp` in interface `ClusterMessage`
    Parameters:
      `timestamp` - the timestamp

  - ### getUniqueId

    public String getUniqueId()
    Description copied from interface: `ClusterMessage`
    Returns the unique identifier for this message.
    Specified by:
      `getUniqueId` in interface `ClusterMessage`
    Returns:
      the unique ID

  - ### getContextName

    public String getContextName()
    Returns the name of the context being undeployed.
    Returns:
      the context name